show
GET
/user/anonymous/{id}
Shows a single anonymized user (email and token are hidden).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
User Id
Example
3mugf953w4a9fg5Query Parameters
Section titled “Query Parameters ” expand
string
Expand a foreign key column (https://pocketbase.io/docs/working-with-relations/#expanding-relations).
requestKey
string
Unique request key. Prevents auto cancel when sending multiple requests.
Responses
Section titled “ Responses ”object
avatar
required
string
bio
required
string
collectionId
required
string
collectionName
required
string
created
required
string
id
required
string
private
required
boolean
username
required
string
Example
{ "avatar": "23xxesym0e9w18z2904frnpgy7_OzsVanAmWP.jpg", "bio": "Enim beatae labore vel. Pariatur hic doloribus quia quasi eos. Cumque error nobis.", "collectionId": "xku110v5a5xbufa", "collectionName": "users_anonymous", "created": "2024-06-29 19:23:47.731Z", "id": "3mugf953w4a9fg5", "private": false, "username": "Flomp"}object
message
required
string
details
required
Array<object>
object
code
string
minimum
integer
type
string
inclusive
boolean
exact
boolean
message
string
path
Array<string>
Example
{ "message": "invalid_params", "details": [ { "code": "too_small", "minimum": 15, "type": "string", "inclusive": true, "exact": true, "message": "String must contain exactly 15 character(s)", "path": [ "id" ] } ]}object
message
required
string
detail
required
object
code
required
integer
message
required
string
data
required
object
Example
{ "message": "The requested resource wasn't found.", "detail": { "code": 404, "message": "The requested resource wasn't found.", "data": {} }}